function foxfm_arm(doc)
{
	try
	{
		if(doc.location.href.match("onlinefussballmanager") && prefBranchOFMFunctionSettings.get("arm.change"))
		{
			// alert("Start");
			// alertArray(strengthPoints);

			var tables = doc.getElementsByTagName("table");
			var armSrc = "http://kabeleced.ka.funpic.de/pics/seal-round-green-leaves-background-grey-tranparent.gif";
			armSrc = prefBranchOFMFunctionSettings.get("arm.urlnewimage")
			
			// add arm on Office page
			// findTableByRegExp(tables, />\d{1,}:\d{1,}</);
			
			// add arm on League page(s)
			if(!(doc.location.href.match("http://onlinefussballmanager.de/010_liga/teaminfo.php") || 
				 doc.location.href.match("http://onlinefussballmanager.de/010_liga/saisonverlauf.php")) &&
			   doc.location.href.match("http://onlinefussballmanager.de/010_liga") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_statistiken"))	
			{
				// alert("Add arms on League page: " + doc.location.href);
				results = findTableByRegExp(tables, "1. FC Wohnzimmer");
				for(i=0; i<results.length; i++)
				{
					tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]-1].innerHTML = "<div align=\"center\"><a onmouseover=\"Tip('&lt;img src=\\'" + armSrc + "\\' height=\\'100\\'>',FADEIN,200,FADEOUT,200,BORDERWIDTH,0)\"><img height=\"25\" src=\"" + armSrc + "\"></a><div>";
				}
			}

			// add arm on Club page
			if(!doc.location.href.match("http://onlinefussballmanager.de/010_liga") &&
				doc.location.href.match("http://onlinefussballmanager.de/vereinsseite/uebersicht"))
			{
				// alert("Add arms on Club page: " + doc.location.href);
				results = findTableByRegExp(tables, "1. FC Wohnzimmer");
				for(var i=0; i<results.length; i++)
				{
					tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]-1].innerHTML = "<div align=\"right\"><center><img width=\"100\" height=\"100\" border=\"0\" align=\"absmiddle\" src=\"" + armSrc + "\"></center></div>";
				}					
			}
			
			// replace OFM arm on Buero and Team page
			if(doc.location.href.match("http://onlinefussballmanager.de/010_buero/buero.php") ||
			   doc.location.href.match("http://onlinefussballmanager.de/010_mannschaft/spieler.php"))
			{
				var imgs = doc.getElementsByTagName("img");
				// results = findTableByRegExp(tables, /1. FC Wohnzimmer\<\/a\>\<span class="miniminitext"\>&nbsp;\(\d{1,}\)&nbsp;/);
				// alert(teamName);
				// var searchString = new RegExp(teamName + '[:space:]*[:punct:]*[:alpha:]*\([0-9]+\)');	(&nbsp;){2}(-){1}(&nbsp;){2}elb"
				teamName = "gelb";
				var searchString = new RegExp(teamName + '<\/a>.+&nbsp;.+-'); // 1. FC Wohnzimmer[:punct:]*[:alpha:]*
				results = findTableByRegExp(tables, searchString);
				// findTableByRegExp(tables, />\d{1,}:\d{1,}</);
				for(var i=0; i<results.length; i++)
				{
					// tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]-1].innerHTML = "<div align=\"right\"><center><img width=\"100\" height=\"100\" border=\"0\" align=\"absmiddle\" src=\"" + armSrc + "\"></center></div>";
					// alert(tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]].innerHTML);
				}					

				for(var i=0; i<imgs.length; i++)
				{
					if(imgs[i].src.match("wappen_ofm.png") || imgs[i].src.match("wappen_ofm_blass.png"))
					{
						// alert(imgs[i].src);
						imgs[i].src = armSrc;
					}
				}
			}
			
			// add arm on FunCup Team page
			if(doc.location.href.match("http://onlinefussballmanager.de/010_funcup/detail/funcupdetail_teams.php"))
			{
				results = findTableByRegExp(tables, "1. FC Wohnzimmer");
				for(var i=0; i<results.length; i++)
				{
					tables[results[i]["table"]].rows[results[i]["row"]].cells[results[i]["cell"]-2].innerHTML = "<a onmouseover=\"Tip('<img src=\\'" + armSrc + "\\' height=\\'100\\'>',FADEIN,200,FADEOUT,200,BORDERWIDTH,0)\"><img src=\"" + armSrc + "\" height=\"50\"></a>";
				}
			}
		}
	} catch (e) {
		alert(e);
	}
}

function findTableByRegExp(tables, regExp)
{
	try {	
		var results = new Array();
		var k=0;
	
		for(var i=0; i<tables.length; i++)
		{
			// check if the current table contains the search string at all
			if(tables[i].innerHTML.match(regExp))
			{
				// cell = scanTableByRegExp(tables[i], regExp);
				// get the cells of the current table containing the search string 
				resultCells = scanTableByRegExp(tables[i], regExp);
				
				// check if the result cells do not contain another table which also might contain the search string
				// --> such table is also part array "tables" given to THIS 
				//     function and will be searched later on
				// ==> this table could be skipped here
				for(var j=0; j<resultCells.length; j++)
				{
					// alert("found table by '" + regExp + "'");
					var cell = tables[i].rows[resultCells[j]["row"]].cells[resultCells[j]["cell"]];
					if(!cell.innerHTML.match("table"))
					{
						// alert("found: '" + cell.innerHTML + "'");
						// alert("found table by '" + regExp + "' with content: " + tables[i].rows[resultCells[j]["row"]].cells[resultCells[j]["cell"]].innerHTML);
						results[k] = new Object();
						// alert("found string in table '" + i + "' in row '" + cell[0] + "' and cell '" + cell[1] + "': " + tables[i].rows[cell[0]].cells[cell[1]].innerHTML);
						results[k]["table"]	= i;
						results[k]["row"]	= resultCells[j]["row"];
						results[k]["cell"]	= resultCells[j]["cell"];						
						k++;						
					} else {
						// there is at least one table within the current cell which also COULD contain the search string
						// -> it is necessary to know if the sub-table include the search string OR the search string is besides the sub-table
						// => check all the child nodes contained by the current cell
						if(cell.hasChildNodes)
						{
							scanNodeByRegExp(cell.childNodes, "TABLE", regExp);
						}
					}
				}
			}
		}
		return results;
	} catch(e) {
		exceptionHandler(e);
	}
}

function scanNodeByRegExp(nodes, skipTag, regExp)
{
	// var nodes = node.childNodes;

	// alert("Number of child node: " + nodes.length + "; innerHTML: " + node.innerHTML)
	for(var i=0; i<nodes.length; i++)
	{
		var childNode = nodes[i];
		// get the TAG-name of the i-th child of the current node
		var childTag = childNode.tagName;
		if(childTag)
		{
			var childHTML = childNode.innerHTML;
			var childType = childNode.nodeType;
			
			// check if the current TAG is even defined
			// alert(childHTML.match(regExp));

			if((childType === 1) && (childTag != skipTag) && !childHTML.match(skipTag.toLowerCase(skipTag)) && childHTML.match(regExp))
			{
				alert("found child node: " + childHTML);
				// check if current child node has also child nodes by itself
				
			} else {
				if(childHTML.match(regExp) && (childTag != skipTag))
				{
					
					// alert("Calling 'scanNodeByRegExp()' again with child content: '" + childHTML + "'");
					scanNodeByRegExp(childNode.childNodes, skipTag, regExp);
				}
			}
		}
	}
}